Bug 1748664 (CVE-2019-11747) - CVE-2019-11747 Mozilla: 'Forget about this site' removes sites from pre-loaded HSTS list
Summary: CVE-2019-11747 Mozilla: 'Forget about this site' removes sites from pre-loade...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11747
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1745831 1745832 1748670
Blocks: 1745825
TreeView+ depends on / blocked
 
Reported: 2019-09-04 00:48 UTC by Doran Moppert
Modified: 2019-09-06 00:51 UTC (History)
3 users (show)

Fixed In Version: firefox 68.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-05 01:07:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2663 None None None 2019-09-04 20:12:20 UTC

Description Doran Moppert 2019-09-04 00:48:34 UTC
The "Forget about this site" feature in the History pane is intended to remove all saved user data that indicates a user has visited a site. This includes removing any HTTP Strict Transport Security (HSTS) settings received from sites that use it. Due to a bug, sites on the pre-load list also have their HSTS setting removed. On the next visit to that site if the user specifies an `http:` URL rather than secure `https:` they will not be protected by the pre-loaded HSTS setting. After that visit the site's HSTS setting will be restored.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-26/#CVE-2019-11747

Comment 1 Doran Moppert 2019-09-04 00:48:37 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Thomas Henlich

Comment 3 errata-xmlrpc 2019-09-04 20:12:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2663 https://access.redhat.com/errata/RHSA-2019:2663

Comment 4 Product Security DevOps Team 2019-09-05 01:07:38 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11747


Note You need to log in before you can comment on or make changes to this bug.